# Copyright 2021 DeepMind Technologies Limited
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""Tests for addressing."""

from absl.testing import absltest
from xmanager.contrib import addressing


class AddressingTest(absltest.TestCase):

  def test_k8s_pod_domain(self):
    address = addressing.k8s_pod_domain(
        job_name='cifar10',
        experiment_id=123,
        work_unit_id=4,
        service='best_service',
        namespace='best_namespace',
    )

    self.assertEqual(
        address,
        '123-4-cifar10.best_service.best_namespace.svc.cluster.local:2222',
    )


if __name__ == '__main__':
  absltest.main()
